Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request POST \ --url https://api.app.shinzo.ai/v1/agent/{agentId}/filesystem/directories/{path} \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "recursive": true } '
Create a new directory in an agent’s workspace.
curl -X POST "https://api.app.shinzo.ai/v1/agent/agt_abc123/filesystem/directories/workspace/data/exports" \ -H "Authorization: Bearer <jwt_token>" \ -H "Content-Type: application/json" \ -d '{ "permissions": "755", "recursive": true }'
{ "path": "/workspace/data/exports", "created_at": "2025-01-20T10:00:00Z" }
path
created_at
201
400
401
403
404
409